unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ShellAPI, ExtCtrls;

type
  Tabout = class(TForm)
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Button1: TButton;
    Label7: TLabel;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure Label4MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label4MouseLeave(Sender: TObject);
    procedure Label6MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label6MouseLeave(Sender: TObject);
    procedure Label4Click(Sender: TObject);
    procedure Label6Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    Dragging:boolean;
    OldLeft, OldTop:Integer;
  public
    { Public declarations }
  end;

var
  about: Tabout;

implementation

{$R *.dfm}

function executefile(const filename, params, defaultdir: string;
          showcmd:integer):thandle;
var zfilename,zparams,zdir: array[0..79] of char;
begin
  result:=shellexecute(application.MainForm.handle, nil,strpcopy(zfilename, filename),strpcopy(zparams,params),strpcopy(zdir, defaultdir),showcmd);
end;

//------------------    --------------------------//

function CreateRgnFromBitmap(rgnBitmap: TBitmap): HRGN;
var
  TransColor: TColor;
  i, j: Integer;
  i_width, i_height: Integer;
  i_left, i_right: Integer;
  rectRgn: HRGN;
begin
 Result := 0;
 i_width := rgnBitmap.Width;
 i_height := rgnBitmap.Height;
 transColor := rgnBitmap.Canvas.Pixels[0, 0];
 for i := 0 to i_height - 1 do
  begin
   i_left := -1;
   for j := 0 to i_width - 1 do
    begin
     if i_left < 0 then
      begin
       if rgnBitmap.Canvas.Pixels[j, i] <> transColor then
        i_left := j;
      end
     else
      if rgnBitmap.Canvas.Pixels[j, i] = transColor then
       begin
        i_right := j;
        rectRgn := CreateRectRgn(i_left, i, i_right, i + 1);
        if Result = 0 then
         Result := rectRgn
        else
         begin
          CombineRgn(Result, Result, rectRgn, RGN_OR);
          DeleteObject(rectRgn);
         end;
        i_left := -1;
       end;
    end;
   if i_left >= 0 then
    begin
     rectRgn := CreateRectRgn(i_left, i, i_width, i + 1);
     if Result = 0 then
      Result := rectRgn
     else
      begin
       CombineRgn(Result, Result, rectRgn, RGN_OR);
       DeleteObject(rectRgn);
      end;
    end;
  end;
end;
//--------------END-    --------------------------//

procedure Tabout.Button1Click(Sender: TObject);
begin
 close;
end;

procedure Tabout.Label4MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
Label4.font.size:=12;
end;

procedure Tabout.Label4MouseLeave(Sender: TObject);
begin
Label4.font.size:=10;
end;

procedure Tabout.Label6MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
 Label6.font.size:=12;
end;

procedure Tabout.Label6MouseLeave(Sender: TObject);
begin
Label6.font.size:=10;
end;

procedure Tabout.Label4Click(Sender: TObject);
begin
label4.Font.Color:=clred;
ExecuteFile('http://rndname.narod.ru/','','',SW_Show);
end;

procedure Tabout.Label6Click(Sender: TObject);
begin
label6.Font.Color:=clred;
ExecuteFile('mailto:rndname@narod.ru','','',SW_Show);
end;

procedure Tabout.FormCreate(Sender: TObject);
var
 WindowRgn: HRGN;
begin
 BorderStyle := bsNone;
 ClientWidth := Image1.Picture.Bitmap.Width;
 ClientHeight := Image1.Picture.Bitmap.Height;
 windowRgn := CreateRgnFromBitmap(Image1.Picture.Bitmap);
 SetWindowRgn(Handle, WindowRgn, True);
end;
end.
