unit Unit5;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Registry, ShellAPI;

type
  TForm5 = class(TForm)
    Image1: TImage;
    Button1: TButton;
    Label1: TLabel;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
    Dragging:boolean;
    OldLeft, OldTop:Integer;
  public
    { Public declarations }
  end;

var
  Form5: TForm5;

implementation

uses index;

{$R *.dfm}

function executefile(const filename, params, defaultdir: string;
          showcmd:integer):thandle;
var zfilename,zparams,zdir: array[0..79] of char;
begin
  result:=shellexecute(application.MainForm.handle, nil,strpcopy(zfilename, filename),strpcopy(zparams,params),strpcopy(zdir, defaultdir),showcmd);
end;

//------------------    --------------------------//

function CreateRgnFromBitmap(rgnBitmap: TBitmap): HRGN;
var
  TransColor: TColor;
  i, j: Integer;
  i_width, i_height: Integer;
  i_left, i_right: Integer;
  rectRgn: HRGN;
begin
 Result := 0;
 i_width := rgnBitmap.Width;
 i_height := rgnBitmap.Height;
 transColor := rgnBitmap.Canvas.Pixels[0, 0];
 for i := 0 to i_height - 1 do
  begin
   i_left := -1;
   for j := 0 to i_width - 1 do
    begin
     if i_left < 0 then
      begin
       if rgnBitmap.Canvas.Pixels[j, i] <> transColor then
        i_left := j;
      end
     else
      if rgnBitmap.Canvas.Pixels[j, i] = transColor then
       begin
        i_right := j;
        rectRgn := CreateRectRgn(i_left, i, i_right, i + 1);
        if Result = 0 then
         Result := rectRgn
        else
         begin
          CombineRgn(Result, Result, rectRgn, RGN_OR);
          DeleteObject(rectRgn);
         end;
        i_left := -1;
       end;
    end;
   if i_left >= 0 then
    begin
     rectRgn := CreateRectRgn(i_left, i, i_width, i + 1);
     if Result = 0 then
      Result := rectRgn
     else
      begin
       CombineRgn(Result, Result, rectRgn, RGN_OR);
       DeleteObject(rectRgn);
      end;
    end;
  end;
end;
//--------------END-    --------------------------//

procedure TForm5.Button1Click(Sender: TObject);
begin
 close;
end;

procedure TForm5.FormPaint(Sender: TObject);
var Reg:TregIniFile;
    AlarmFile,AlarmTitle:string;
begin
 reg:=TRegIniFile.Create('Software');
 reg.OpenKey('RNDName team',true);
 AlarmFile:=reg.ReadString('rulezDate','AlarmFile','false');
 AlarmTitle:=reg.ReadString('rulezDate','AlarmTitle','false');
 reg.free;

 if AlarmFile='false' then
 begin
  ShowMessage('    ');
  exit;
 end;
 Memo1.Clear;
 Memo1.Lines.Add(AlarmTitle);
 ExecuteFile(AlarmFile,'','',SW_Show);
end;

//------------------------   ---------------------------//
procedure TForm5.FormCreate(Sender: TObject);
var
 WindowRgn: HRGN;
begin
// y
 Form5.Image1.Picture:=Form1.Image2.Picture;

 BorderStyle := bsNone;
 ClientWidth := Image1.Picture.Bitmap.Width;
 ClientHeight := Image1.Picture.Bitmap.Height;
 windowRgn := CreateRgnFromBitmap(Image1.Picture.Bitmap);
 SetWindowRgn(Handle, WindowRgn, True);
end;
//--------------------END-   ---------------------------//
//---------------       -------//
procedure TForm5.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
 if button=mbLeft then
  begin
   Dragging := True;
   OldLeft := X;
   OldTop := Y;
  end;
end;

procedure TForm5.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
 if Dragging then
  begin
   Left := Left+X-OldLeft;
   Top := Top+Y-OldTop;
  end;
end;

procedure TForm5.FormMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
 Dragging := False;
end;

//-----------END-       -------//
end.
