unit Unit6;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Registry, ComCtrls;

type
  TShowDate = class(TForm)
    Image1: TImage;
    Label1: TLabel;
    Timer1: TTimer;
    MonthCalendar1: TMonthCalendar;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
    Dragging:boolean;
    OldLeft, OldTop:Integer;
  public
    { Public declarations }
  end;

var
  ShowDate: TShowDate;

implementation

uses index;

{$R *.dfm}

//------------------    --------------------------//

function CreateRgnFromBitmap(rgnBitmap: TBitmap): HRGN;
var
  TransColor: TColor;
  i, j: Integer;
  i_width, i_height: Integer;
  i_left, i_right: Integer;
  rectRgn: HRGN;
begin
 Result := 0;
 i_width := rgnBitmap.Width;
 i_height := rgnBitmap.Height;
 transColor := rgnBitmap.Canvas.Pixels[0, 0];
 for i := 0 to i_height - 1 do
  begin
   i_left := -1;
   for j := 0 to i_width - 1 do
    begin
     if i_left < 0 then
      begin
       if rgnBitmap.Canvas.Pixels[j, i] <> transColor then
        i_left := j;
      end
     else
      if rgnBitmap.Canvas.Pixels[j, i] = transColor then
       begin
        i_right := j;
        rectRgn := CreateRectRgn(i_left, i, i_right, i + 1);
        if Result = 0 then
         Result := rectRgn
        else
         begin
          CombineRgn(Result, Result, rectRgn, RGN_OR);
          DeleteObject(rectRgn);
         end;
        i_left := -1;
       end;
    end;
   if i_left >= 0 then
    begin
     rectRgn := CreateRectRgn(i_left, i, i_width, i + 1);
     if Result = 0 then
      Result := rectRgn
     else
      begin
       CombineRgn(Result, Result, rectRgn, RGN_OR);
       DeleteObject(rectRgn);
      end;
    end;
  end;
end;
//--------------END-    --------------------------//

procedure TShowDate.FormCreate(Sender: TObject);
var
 WindowRgn: HRGN;
 base:TStrings;
 i:integer;
 Date:string;
begin
 ShowDate.Image1.Picture:=Form1.Image3.Picture;

 Timer1.Enabled:=true;

 BorderStyle := bsNone;
 ClientWidth := Image1.Picture.Bitmap.Width;
 ClientHeight := Image1.Picture.Bitmap.Height;
 windowRgn := CreateRgnFromBitmap(Image1.Picture.Bitmap);
 SetWindowRgn(Handle, WindowRgn, True);

 base:=TStringList.Create;
 base:=Form1.memo1.Lines;
 NowDate:=DateToStr(now);
 NowTime:=TimeToStr(now);

 Delete (NowDate,6,10);
 Delete (NowTime,length(NowTime)-2,10);

 for i:=0 to base.Count do if NowDate=base.Strings[i] then day:=base.Strings[i+1];

 Memo1.Clear;
 Memo1.Lines.Add(day);

 Date:=DateToStr(now);
 MonthCalendar1.Date:=StrToDate(Date);
end;

procedure TShowDate.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
 if button=mbLeft then
  begin
   Dragging := True;
   OldLeft := X;
   OldTop := Y;
  end;
end;

procedure TShowDate.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
 if Dragging then
  begin
   Left := Left+X-OldLeft;
   Top := Top+Y-OldTop;
  end;
end;

procedure TShowDate.FormMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
 Dragging := False;
end;

procedure TShowDate.Timer1Timer(Sender: TObject);
begin
sleep(3000);
close;
Timer1.Enabled:=False;
end;
end.
