unit Unit8;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls;

type
  Tcal = class(TForm)
    Image1: TImage;
    MonthCalendar1: TMonthCalendar;
    Button1: TButton;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure MonthCalendar1DblClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
    Dragging:boolean;
    OldLeft, OldTop:Integer;
  public
    { Public declarations }
  end;

var
  cal: Tcal;

implementation

uses index;

{$R *.dfm}

//------------------    --------------------------//

function CreateRgnFromBitmap(rgnBitmap: TBitmap): HRGN;
var
  TransColor: TColor;
  i, j: Integer;
  i_width, i_height: Integer;
  i_left, i_right: Integer;
  rectRgn: HRGN;
begin
 Result := 0;
 i_width := rgnBitmap.Width;
 i_height := rgnBitmap.Height;
 transColor := rgnBitmap.Canvas.Pixels[0, 0];
 for i := 0 to i_height - 1 do
  begin
   i_left := -1;
   for j := 0 to i_width - 1 do
    begin
     if i_left < 0 then
      begin
       if rgnBitmap.Canvas.Pixels[j, i] <> transColor then
        i_left := j;
      end
     else
      if rgnBitmap.Canvas.Pixels[j, i] = transColor then
       begin
        i_right := j;
        rectRgn := CreateRectRgn(i_left, i, i_right, i + 1);
        if Result = 0 then
         Result := rectRgn
        else
         begin
          CombineRgn(Result, Result, rectRgn, RGN_OR);
          DeleteObject(rectRgn);
         end;
        i_left := -1;
       end;
    end;
   if i_left >= 0 then
    begin
     rectRgn := CreateRectRgn(i_left, i, i_width, i + 1);
     if Result = 0 then
      Result := rectRgn
     else
      begin
       CombineRgn(Result, Result, rectRgn, RGN_OR);
       DeleteObject(rectRgn);
      end;
    end;
  end;
end;
//--------------END-    --------------------------//

procedure Tcal.Button1Click(Sender: TObject);
begin
 close;
end;

procedure Tcal.MonthCalendar1DblClick(Sender: TObject);
var Date:String;
    Base:TStrings;
    i:integer;
begin
 Date:=DateToStr(MonthCalendar1.Date);

 Delete (Date,6,10);

 Base:=TStringList.Create;
 Base:=Form1.memo1.Lines;

 for i:=0 to Base.Count do
 begin
  if Base.Strings[i]=Date then
  begin
   Memo1.Clear;
   Memo1.Lines.Add(base.Strings[i+1]);
  end;
 end;


end;
procedure Tcal.FormCreate(Sender: TObject);
var
 WindowRgn: HRGN;
 Date:string;
begin
 Position:=poScreenCenter;

 BorderStyle := bsNone;
 ClientWidth := Image1.Picture.Bitmap.Width;
 ClientHeight := Image1.Picture.Bitmap.Height;
 windowRgn := CreateRgnFromBitmap(Image1.Picture.Bitmap);
 SetWindowRgn(Handle, WindowRgn, True);
 Date:=DateToStr(now);
 MonthCalendar1.Date:=StrToDate(Date);

 MonthCalendar1.Font.Name:='Courier New';
end;

procedure Tcal.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
 if button=mbLeft then
  begin
   Dragging := True;
   OldLeft := X;
   OldTop := Y;
  end;
end;

procedure Tcal.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
 if Dragging then
  begin
   Left := Left+X-OldLeft;
   Top := Top+Y-OldTop;
  end;
end;

procedure Tcal.FormMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
 Dragging := False;
end;

end.
